Update a storage report
curl --request PUT \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/tire-sets/{tiresetId}/storage-report/{storageReportId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"frontAxle": {
"model": "<string>",
"size": "<string>"
},
"rearAxle": {
"model": "<string>",
"size": "<string>"
},
"note": "<string>",
"dismountDate": "2023-12-25",
"depotAddress": "<string>",
"depotPhone": "<string>",
"depotEmail": "jsmith@example.com"
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/tire-sets/{tiresetId}/storage-report/{storageReportId}"
payload = {
"frontAxle": {
"model": "<string>",
"size": "<string>"
},
"rearAxle": {
"model": "<string>",
"size": "<string>"
},
"note": "<string>",
"dismountDate": "2023-12-25",
"depotAddress": "<string>",
"depotPhone": "<string>",
"depotEmail": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
frontAxle: {model: '<string>', size: '<string>'},
rearAxle: {model: '<string>', size: '<string>'},
note: '<string>',
dismountDate: '2023-12-25',
depotAddress: '<string>',
depotPhone: '<string>',
depotEmail: 'jsmith@example.com'
})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/tire-sets/{tiresetId}/storage-report/{storageReportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"frontAxle": {
"model": "<string>",
"size": "<string>",
"mileage": 123,
"treadDepth": 123
},
"rearAxle": {
"model": "<string>",
"size": "<string>",
"mileage": 123,
"treadDepth": 123
},
"note": "<string>",
"dismountDate": "2025-04-24",
"depotAddress": "<string>",
"depotPhone": "<string>",
"depotEmail": "jsmith@example.com",
"blob": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
}Tire sets
Update a storage report
Update the selected storage report belonging to the chosen tire set of the specified vehicle
PUT
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
tire-sets
/
{tiresetId}
/
storage-report
/
{storageReportId}
Update a storage report
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Asset provider country code
Required string length:
2Asset provider code
Required string length:
3The assetId of the vehicle
The tire set ID
The tire storage report ID
Body
application/json
Storage report that should replace the one under the specified id
Response
Updated storage report
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2025-04-24"
Available options:
NOT_STARTED, MANUAL, PROCESSING, PROCESSED, ERROR Show child attributes
Show child attributes
⌘I

